import { defineContentConfig, defineCollection, z } from '@nuxt/content'

export default defineContentConfig({
  collections: {
    blog: defineCollection({
      type: 'page',
      source: 'blog/**/*.md'
    }),

    skills: defineCollection({
      type: 'page',
      source: 'snippets/skills/*.md',
      schema: z.object({
        title: z.string(),
        img: z.object({
          path: z.string(),
          name: z.string(),
          position: z.string(),
        }),
      })
    }),

    faq: defineCollection({
      type: 'page',
      source: 'snippets/faq/*.md',
      schema: z.object({
        title: z.string(),
      })
    })
  }
})